<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<app-collapsible
  [(appCollapsed)]="appCollapsed"
  [appTitle]="'details.outbox.title' | translate">

  <div *ngIf="(statementAttachment$ | async)?.length > 0 || (outboxAttachments$ | async)?.length > 0"
       class="outbox-attachments">
    <div *ngIf="(statementAttachment$ | async)?.length > 0"
         class="outbox-attachments--statement"
         style="margin-right: 0.5em;">
      <app-attachment-display-list
        (appDownload)="downloadAttachment($event)"
        [appAttachments]="statementAttachment$ | async"
        [appTagList]="[]"
        [appTitle]="'details.outbox.statement' | translate"
        class="outbox-attachments--statement">
      </app-attachment-display-list>
    </div>

    <div class="outbox-attachments--statement">
      <app-attachment-display-list
        (appDownload)="downloadAttachment($event)"
        [appAttachments]="outboxAttachments$ | async"
        [appTagList]="[]"
        [appTitle]="'details.outbox.attachments' | translate"
        class="outbox-attachments--attachments">
      </app-attachment-display-list>
    </div>
  </div>

  <div *ngIf="!((statementAttachment$ | async)?.length > 0 || (outboxAttachments$ | async)?.length > 0)"
       class="placeholder">
    {{"details.outbox.placeholder" | translate}}
  </div>

</app-collapsible>
